curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": null,
"product": 20,
"docusign_placeholder_id": null,
"contract_template_id": null,
"consent_template_id": null,
"shorten": true,
"link_params": null,
"plaid": false,
"docusign": true,
"resume": true,
"codat": true,
"rutter_shopify": true,
"rutter_amazon": false,
"rutter_woo_commerce": false,
"rutter_prestashop": true,
"rutter_magento": false,
"bank_statements": false
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/links"
payload = {
"owner": None,
"product": 20,
"docusign_placeholder_id": None,
"contract_template_id": None,
"consent_template_id": None,
"shorten": True,
"link_params": None,
"plaid": False,
"docusign": True,
"resume": True,
"codat": True,
"rutter_shopify": True,
"rutter_amazon": False,
"rutter_woo_commerce": False,
"rutter_prestashop": True,
"rutter_magento": False,
"bank_statements": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: null,
product: 20,
docusign_placeholder_id: null,
contract_template_id: null,
consent_template_id: null,
shorten: true,
link_params: null,
plaid: false,
docusign: true,
resume: true,
codat: true,
rutter_shopify: true,
rutter_amazon: false,
rutter_woo_commerce: false,
rutter_prestashop: true,
rutter_magento: false,
bank_statements: false
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"docusign_link": "http://example/link",
"plaid_link_token": "token",
"codat_link": "https://link.codat.io/company/codatCompanyUuid",
"rutter": {
"shopify_link": "https://link.rutterapi.com/connection/connectionId?platform=SHOPIFY",
"amazon_link": "https://link.rutterapi.com/connection/connectionId?platform=AMAZON",
"woo_commerce_link": "https://link.rutterapi.com/connection/connectionId?platform=WOO_COMMERCE",
"prestashop_link": "https://link.rutterapi.com/connection/connectionId?platform=PRESTASHOP",
"magento_link": "https://link.rutterapi.com/connection/connectionId?platform=MAGENTO"
},
"resume_link": "https://example.com",
"bank_statements_link": "http://example/link"
}Get Application Links
Returns links and tokens for connecting services to the application, including Plaid, DocuSign, Codat, and Rutter, plus resume and bank statement collection links. Only the requested services are included; when none are specified, the Plaid link token and DocuSign link are returned.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
Owner ID.
null
20, 28, 34, 8, 4, 26, 21, 13, 2, 5, 7, 23, 29, 22, 24, 14, 16, 25, 1, 9, 27, 33, 10, 30, 19, 18, 6, 11, 3, 15, 17, 31, 32 20
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
true
null
Return Plaid link token.
false
Return DocuSign link.
true
Return Resume link.
true
Return Codat link.
true
Return Rutter link for Shopify platform.
true
Return Rutter link for Amazon platform.
false
Return Rutter link for WooCommerce platform.
false
Return Rutter link for Prestashop platform.
true
Return Rutter link for Magento platform.
false
Return Manual Bank Statement Link.
false
Response
Was this page helpful?